--- /dev/null
+++ b/cmake/Modules/FindLua.cmake
@@ -0,0 +1,18 @@
+# - Try to find lua
+# Once done this will define
+#  LUA_FOUND          - System has lua
+#  LUA_INCLUDE_DIR    - The lua include directories
+#  LUA_LIBRARY        - The libraries needed to use lua
+
+find_path(LUA_INCLUDE_DIR lua.h)
+find_library(LUA_LIBRARY lua)
+
+include(FindPackageHandleStandardArgs)
+# handle the QUIETLY and REQUIRED arguments and set LUA_FOUND to TRUE
+# if all listed variables are TRUE and the requested version matches.
+find_package_handle_standard_args(Lua REQUIRED_VARS
+                                  LUA_LIBRARY LUA_INCLUDE_DIR
+                                  VERSION_VAR LUA_VERSION)
+
+mark_as_advanced(LUA_INCLUDE_DIR LUA_LIBRARY)
+
